{% extends 'base.html.twig' %}

{% block title %}detail de la todo!{% endblock %}

{% block body %}


{% for flash in app.flashes('warning') %}

  <div class="alert alert-warning">
     {{ flash }}
  </div>

{% endfor %}

{% if(todo != null) %}

<div class="container text-center">
    <h1>Hello {{ controller_name }}! ✅</h1>

    <table class="table table-striped">
<thead>
    <tr>
      <th scope="col">#</th>
      <th scope="col"> tache </th>
      <th scope="col"> description </th>
      <th scope="col"> etat </th>
      <th scope="col"></th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <th scope="row">{{ todo.id }}</th>
      <td>{{ todo.task }}</td>
      <td>{{ todo.description }}</td>
      <input onchange="window.location.href='{{ path("app.todo.patch.completed",
       {'id': todo.id}) }}'"
        type="checkbox" {{ todo.completed == false ? "" : "checked"}}>
      <td scope="col"><div>
    </tr>
  </tbody>
</table>
{% endif %}
<div>
  <a class="btn btn-primary" href="{{ path('app_todo') }}">retour</a>
</div>

{% endblock %}